PaidGoods
API referenceMarketing

Save the marketing mail server and business address

PUT
/v1/stores/{storeId}/marketing/smtp-settings

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/stores/string/marketing/smtp-settings" \  -H "Content-Type: application/json" \  -d '{    "enabled": true  }'
{  "enabled": true,  "fromName": "string",  "fromEmail": "string",  "host": "string",  "port": -9007199254740991,  "secure": true,  "username": "string",  "hasPassword": true,  "physicalAddress": "string",  "lastTestAt": "string",  "lastTestOk": true,  "platformFrom": "string"}